[SailfishDevel] Problem running "old" project on QT5

Jonni Rainisto jonni.rainisto at jollamobile.com
Thu Sep 19 20:20:14 UTC 2013


Hi,

Usually it helps to point to the problem if you would give url to your git repo. If not then "rgrep -i declarative *" might do the trick.

re, Jonni
________________________________
From: devel-bounces at lists.sailfishos.org [devel-bounces at lists.sailfishos.org] on behalf of Markus Svensson [markus.svensson at me.com]
Sent: Thursday, September 19, 2013 10:42 PM
To: devel at lists.sailfishos.org
Subject: [SailfishDevel] Problem running "old" project on QT5

Hi all,

I'm in the process of migrating my app from the old QT4 alpha of the SDK to the latest QT5-based version.

I'm running into problems when I try to deploy to the emulator:
/opt/sdk/SilicaNote/opt/sdk/bin/SilicaNote: error while loading shared libraries: libQtDeclarative.so.4: cannot open shared object file: No such file or directory

I assume there is a dependency to a QT4 library hiding somewhere in my project - does anyone have a clue where to look?

Thanks!

Regards,
Markus Svensson
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.sailfishos.org/pipermail/devel/attachments/20130919/9b0e022a/attachment.html>


More information about the Devel mailing list